// @ts-nocheck
import type { Config } from 'tailwindcss'
import forms from '@tailwindcss/forms'
import typography from '@tailwindcss/typography'
import headlessui from '@headlessui/tailwindcss'

const config: Config = {
    darkMode: 'class',
    content: [
        './index.html',
        './src/**/*.{vue,js,ts,jsx,tsx}',
    ],
    theme: {
        extend: {
            colors: {
                primary: '#FF7B54',
                secondary: '#FFB26B',
                accent: '#FFD56B',
                info: '#54C7FF',
                success: '#A0E7A0',
                warning: '#FFD56B',
                danger: '#FF4D4D',
                dark: '#393E46',
                light: '#FFF8F0',
                black: '#000000',
                neutral: '#64748B',
            },
            spacing: {
                1: '4px',
                4: '16px',
                6: '24px',
                8: '32px',
                12: '48px',
                16: '64px',
            },
            fontFamily: {
                hand: ['"Patrick Hand"', 'cursive'],
                sans: ['Inter', 'ui-sans-serif', 'system-ui'],
            },
        },
    },
    plugins: [
        forms,
        typography,
        headlessui({ prefix: 'ui' }),
    ],
}

export default config 